import { Injectable } from '@angular/core';
import { NavigationExtras } from '@angular/router';

@Injectable({ providedIn: 'root' })
export abstract class BaseNavigationService {
  constructor() {}

  protected abstract _createNavigationFn(path?: any[], extras?: NavigationExtras): () => Promise<boolean>;
}
